For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
DocumentationAPI ReferenceKnowledge Base
DocumentationAPI ReferenceKnowledge Base
  • API Reference
      • POSTList connected LinkedIn accounts
      • POSTFind a company's LinkedIn page from a domain
      • POSTResolve a name + company domain to a profile URL
      • POSTHydrate a LinkedIn profile
      • POSTHydrate a LinkedIn company page
      • POSTSearch a company's employees with boolean title filters
      • POSTList recent posts from a company page
      • POSTRecent posts from a company's employees
      • POSTList recent posts from a single profile
      • POSTGet full content for a single post
      • POSTList people who reacted to a post
      • POSTList comments on a post
      • POSTList jobs posted by a company
      • POSTGet full details of a job listing
      • POSTList saved posts (requires session)
      • POSTList recent DM threads (requires session)
      • POSTSend a direct message (requires session)
      • POSTSend a connection request (requires session)
Connect
LogoLogo
API ReferenceLinkedIn

Recent posts from a company's employees

POST
https://api.gtm-tools.sh/api/v0/list_linkedin_company_employees_posts
POST
/api/v0/list_linkedin_company_employees_posts
1const url = 'https://api.gtm-tools.sh/api/v0/list_linkedin_company_employees_posts';
2const options = {
3 method: 'POST',
4 headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
5 body: '{"domain":"vercel.com","limit":10}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
200Linkedin_listLinkedinCompanyEmployeesPosts_example
1{
2 "results": [
3 {
4 "employee": {
5 "name": "string",
6 "headline": "string",
7 "title": "string",
8 "profile_url": "string",
9 "location": "string"
10 },
11 "posts": [
12 {
13 "post_url": "string",
14 "author": {
15 "name": "string",
16 "profile_url": "string"
17 },
18 "text": "string",
19 "posted_at": "2024-01-15T09:30:00Z",
20 "reactions": 1,
21 "comments": 1,
22 "reposts": 1
23 }
24 ]
25 }
26 ]
27}

Fans out across the entire employee list. Use sparingly. Cost — 80 tokens.

Was this page helpful?
Previous

List recent posts from a single profile

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
domainstringOptional
company_urlstringOptional
limitintegerOptional
pageintegerOptional

Response

Posts grouped by employee
resultslist of objects